%define module_version 1.17
%define module_name Regex-PreSuf
%define _unpackaged_files_terminate_build 1
BuildRequires: perl-devel
BuildRequires: perl-podlators
BuildRequires: perl-generators
BuildRequires: perl(Exporter)
BuildRequires: perl(Benchmark)
BuildRequires: perl-devel perl-podlators
BuildRequires: make

Name: perl-%module_name
Version: 1.17
Release: 1%{?dist}.frs
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: https://metacpan.org/pod/Regex::PreSuf

Source0: http://cpan.org.ua/authors/id/J/JH/JHI/%module_name-%module_version.tar.gz
BuildArch: noarch

%{?perl_default_filter}

%description
%summary

%prep
%setup -n %module_name-%module_version

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build} OPTIMIZE="%{optflags}"

%install
%{make_install}

find %{buildroot} -type f  -name '*.bs' -size 0 -delete
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/Regex/
%{_mandir}/man3/Regex::PreSuf.3pm*

%changelog
* Mon May 02 2022 FRS Packager <packager@fr-software.com> 1.17-1
- initial package

